String pageTemplate({
  required String name,
  required String menu,
  required String content,
  String? author,
}) =>
    '''
<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <title>Example</title>
    <meta name="description" content="The HTML5 Herald">
    <meta name="author" content="SitePoint">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Fira+Code&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/10.7.2/styles/dracula.min.css" integrity="sha512-UPcL+5Ec/OV1+OGGgpK9ZS1NLz/sXczHAYUkSaSMQjgIYufontU+rYGAkK9B//Oze4cFTLfLnzNtsI+cG2FwjQ==" crossorigin="anonymous" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/10.7.2/highlight.min.js"
        integrity="sha512-s+tOYYcC3Jybgr9mVsdAxsRYlGNq4mlAurOrfNuGMQ/SCofNPu92tjE7YRZCsdEtWL1yGkqk15fU/ark206YTg=="
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/10.7.2/languages/dart.min.js"
        integrity="sha512-7XEwLyeyXQMzcKJzj/etI+Nd8+kiUyQdpKos15OOpdwrHIOwRAiLrOBHjm6IKJ/JVqm8jcPwv3J8gTLyELwSHg=="
        crossorigin="anonymous"></script>
    <style>
        html {
            font-family: 'Roboto', sans-serif;
        }


        html {
            font-size: 100%;
            overflow-y: scroll;
            -webkit-text-size-adjust: 100%;
            -ms-text-size-adjust: 100%;
        }

        body {
            display: flex;
            align-items: stretch;
            flex-direction: column;
            color: #444;
            font-family: 'Roboto', sans-serif;
            font-size: 12px;
            line-height: 1.5em;
            padding: 1em;
            margin: 0;
            background: #fefefe;
        }

        #header {
          padding: 1.25em;
          display: flex;
          background: #F5FCFF;
          border-radius: .25rem;
        }

        #header h1 {
          padding: 0px;
          margin: 0px;
          font-size: 2.2em;
          line-height: 1.2em;
          color: #146EA0;
        }


        #header h2 {
          opacity: 0.5;
          padding: 0px;
          margin: 0px;
          font-size: 0.7em;
          line-height: 1em;
          color: #146EA0;
        }

         #header a, #header:hover a,  {
          text-decoration:none;
        }
        
        #body {
            flex: 1;
            display: flex;
            flex-direction: row;
            margin-top: 1em;
        }

        a, a:visited {
            color: #49B1EB;
            text-decoration: none;
        }
     
        a:hover {
            color: #1796DE;
            text-decoration: underline;
        }

        a:focus {
            outline: thin dotted;
        }

        a:hover,
        a:active {
            color: #1796DE;
            outline: 0;
        }

        ::-moz-selection {
            background: #E5F6FF;
            color: #000;
        }

        ::selection {
            background: #E5F6FF;
            color: #000;
        }

        a::-moz-selection {
            background: #E5F6FF;
            color: #0645ad;
        }

        a::selection {
            background: #E5F6FF;
            color: #0645ad;
        }

        p {
            margin: 1em 0;
        }

        img {
            max-width: 100%;
        }

        h1,
        h2,
        h3,
        h4,
        h5,
        h6 {
            font-weight: normal;
            color: #111;
            line-height: 1em;
        }

        h4,
        h5,
        h6 {
            font-weight: bold;
        }

        h1 {
            font-size: 2.5em;
        }

        h1:first-child {
          margin-top: 0px;49B1EB
        }

        h2 {
            font-size: 2em;
        }

        h3 {
            font-size: 1.5em;
        }

        h4 {
            font-size: 1.2em;
        }

        h5 {
            font-size: 1em;
        }

        h6 {
            font-size: 0.9em;
        }

        blockquote {
            color: #666666;
            margin: 0;
            padding-left: 3em;
            border-left: 0.5em #eee solid;
        }

        hr {
            display: block;
            border: 0;
            border-top: 1px solid #aaa;
            border-bottom: 1px solid #eee;
            margin: 1em 0;
            padding: 0;
        }

        pre,
        code,
        kbd,
        samp {
            color: #000;
            border-radius: 4px;
            font-family: monospace, monospace;
            _font-family: 'courier new', monospace;
            font-size: 0.98em;
        }

        pre {
            white-space: pre;
            white-space: pre-wrap;
            word-wrap: break-word;
        }

        .hljs {
            padding: 1em;
        }

        b,
        strong {
            font-weight: bold;
        }

        dfn {
            font-style: italic;
        }

        ins {
            background: #ff9;
            color: #000;
            text-decoration: none;
        }

        mark {
            background: #ff0;
            color: #000;
            font-style: italic;
            font-weight: bold;
        }

        sub,
        sup {
            font-size: 75%;
            line-height: 0;
            position: relative;
            vertical-align: baseline;
        }

        sup {
            top: -0.5em;
        }

        sub {
            bottom: -0.25em;
        }

        ul,
        ol {
            margin: 1em 0;
            padding: 0 0 0 2em;
        }

        li p:last-child {
            margin: 0;
        }

        dd {
            margin: 0 0 0 2em;
        }

        img {
            border: 0;
            -ms-interpolation-mode: bicubic;
            vertical-align: middle;
        }

        table {
            border-collapse: collapse;
            border-spacing: 0;
        }

        td {
            vertical-align: top;
        }

        @media only screen and (min-width: 480px) {
            body {
                font-size: 14px;
            }
        }

        @media only screen and (min-width: 768px) {
            body {
                font-size: 16px;
            }
        }

        @media print {
            * {
                background: transparent !important;
                color: black !important;
                filter: none !important;
                -ms-filter: none !important;
            }

            body {
                font-size: 12pt;
                max-width: 100%;
            }

            a,
            a:visited {
                text-decoration: underline;
            }

            hr {
                height: 1px;
                border: 0;
                border-bottom: 1px solid black;
            }

            a[href]:after {
                content: " ("attr(href) ")";
            }

            abbr[title]:after {
                content: " ("attr(title) ")";
            }

            .ir a:after,
            a[href^="javascript:"]:after,
            a[href^="#"]:after {
                content: "";
            }

            pre,
            blockquote {
                border: 1px solid #999;
                padding-right: 1em;
                page-break-inside: avoid;
            }

            tr,
            img {
                page-break-inside: avoid;
            }

            img {
                max-width: 100% !important;
            }

            @page :left {
                margin: 15mm 20mm 15mm 10mm;
            }

            @page :right {
                margin: 15mm 10mm 15mm 20mm;
            }

            p,
            h2,
            h3 {
                orphans: 3;
                widows: 3;
            }

            h2,
            h3 {
                page-break-after: avoid;
            }
        }
        #menu {
            display: flex;
            align-items: stretch;
            flex-direction: column;
            padding: 0px;
            display: flex;
            width: 14em;
            margin-right: 1.5em;
        }

        #menu ul {
          display: flex;
          align-items: stretch;
          flex-direction: column;
          margin: 0px;
          padding: 0px;
        }

        #menu li {
          padding-top: 2px;
          flex-direction: column;
          display: flex;
        }

        #menu li.primary a {
          font-size: 1em;
          padding: 0.5em;
          color: #333;
          border-radius: .25rem;
        }

        #menu li.secondary a {
          font-size: 0.8em;
          padding: 0.5em;
          color: #333;
          border-radius: .25rem;
        }


        #menu li a.selected {
          color: #146EA0;
          background: #E5F6FF;
        }

         #menu li a:hover {
          background: #fafafa;
          text-decoration: none;
        }

         #menu li a.selected:hover {
          background: #E5F6FF;
        }

        #menu li ul {
          margin-left: 10px;
        }

        #menu ul {
          list-style: none;
          padding: 0px;
        }

         #content {
            display: flex;
            flex: 1;
            margin: 0px;
        }

    </style>
</head>

<body>
<div id="header">
<a href="#-home">
  <h1>$name</h1>
  ${author == null ? '' : '<h2>$author</h2>'}
  </a>
</div>
<div id="body">
    <div id="menu">
      $menu
    </div>
    <div id="content">
      $content
    </div>
</div>

    <script>hljs.highlightAll();</script>
    <script>
    function getAnchor() {
      var currentUrl = document.URL,
        urlParts   = currentUrl.split('#');
      return (urlParts.length > 1) ? urlParts[1] : '-home';
    }
    var selectedElement;
    var selectedMenuElement;
    function displaySelected() {
      if(typeof selectedElement !== 'undefined' && selectedElement !== null) {
        selectedElement.style = 'display:none';
      }
      if(typeof selectedMenuElement !== 'undefined' && selectedMenuElement !== null) {
        selectedMenuElement.className  = '';
      }
      var anchor = getAnchor();
      selectedElement= document.getElementById('content-' + anchor);
      selectedMenuElement= document.getElementById('menu--' + anchor);

      if(typeof selectedElement !== 'undefined' && selectedElement !== null) {
        selectedElement.style = "";
        window.scrollTo(0, 0);
      }

      if(typeof selectedMenuElement !== 'undefined' && selectedMenuElement !== null) {
        selectedMenuElement.className = 'selected';
      }
    }

    function locationHashChanged() {
        displaySelected();
    }

    window.onhashchange = locationHashChanged;

    displaySelected();

    </script>
</body>

</html>
''';
